Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.repository.beans
Class FolderBean

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.repository.beans.FolderBean

    public class FolderBean

extends java.lang.Object

Version:
  $Id: FolderBean.java 8408 2007-05-29 23:29:12Z melih $
Author:
  tkavanagh

Constructor Summary
`FolderBean()`

Method Summary
`void` | `copyFrom(Folder folder)`
`void` | `copyTo(Folder folder)`
`java.util.Date` | `getCreationDate()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getName()`
`java.lang.String` | `getParent()`
`RepositoryObjectPermissionBean[]` | `getPermissions()`
`java.lang.String[]` | `getResources()`
`java.lang.String[]` | `getSubFolders()`
`void` | `setCreationDate(java.util.Date creationDate)`
`void` | `setDescription(java.lang.String description)`
`void` | `setLabel(java.lang.String label)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(java.lang.String folderUri)`
`void` | `setPermissions(RepositoryObjectPermissionBean[] permissions)`
`void` | `setResources(java.lang.String[] resources)`
`void` | `setSubFolders(java.lang.String[] subFolders)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FolderBean

    public FolderBean()

Method Detail

### copyFrom

    public void copyFrom(Folder folder)

### copyTo

    public void copyTo(Folder folder)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getParent

    public java.lang.String getParent()

### setParent

    public void setParent(java.lang.String folderUri)

### getCreationDate

    public java.util.Date getCreationDate()

### setCreationDate

    public void setCreationDate(java.util.Date creationDate)

### getResources

    public java.lang.String[] getResources()

### setResources

    public void setResources(java.lang.String[] resources)

### getSubFolders

    public java.lang.String[] getSubFolders()

### setSubFolders

    public void setSubFolders(java.lang.String[] subFolders)

### getPermissions

    public RepositoryObjectPermissionBean[] getPermissions()

### setPermissions

    public void setPermissions(RepositoryObjectPermissionBean[] permissions)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.